Bug 1475938 - supervisord.service file contains removed SysVStartPriority= setting and does NOT have dependency on remote user (LDAP, kerberose, NIS, etc)
supervisord.service file contains removed SysVStartPriority= setting and does...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: supervisor (Show other bugs)
epel7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 11:14 EDT by James Hartsock
Modified: 2017-08-26 16:19 EDT (History)
5 users (show)

See Also:
Fixed In Version: supervisor-3.1.4-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-26 16:19:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Hartsock 2017-07-27 11:14:00 EDT
Description of problem:
1. Support for option SysVStartPriority= has been removed and it is ignored
2. supervisord.service does not have dependency on remote user resolution, but is required in many enterprise environments.

Version-Release number of selected component (if applicable):
supervisor-3.1.3-3.el7

How reproducible:
very

Steps to Reproduce:
1. Install RHEL 7.3 w/ supervisor from EPEL
2. systemctl deamon-reload will trigger the warning
3. The remote user resolution dependency would require LDAP and is timing.

But based on the updated & tested cgred.service in RHEL 7.4 Bug 1406927 the following supervisord.service should work

Changes:
1. Remove 'SysVStartPriority=99' as systems log states this has been removed
2. Add nss-user-lookup.target to After= line so remote user can be resolved at start
~~~
[Unit]
Description=Process Monitoring and Control Daemon
After=rc-local.service nss-user-lookup.target

[Service]
Type=forking
ExecStart=/usr/bin/supervisord -c /etc/supervisord.conf

[Install]
WantedBy=multi-user.target
~~~



Actual results:
1. log: Support for option SysVStartPriority= has been removed and it is ignored
2. Race condition with remote user lookup


Expected results:
1. No warning to syslog 
2. service file configured to start after remote user lookup (no race)


Additional info:

For above to fully work with NIS, need the following private BZ addressed in RHEL 7.4 beta currently

 Bug 1217435 - ypbind.service should be loaded before nss-user-lookup.target
Comment 1 Fedora Update System 2017-07-28 19:39:10 EDT
supervisor-3.1.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-017fbc40e8
Comment 2 Fedora Update System 2017-07-30 20:48:16 EDT
supervisor-3.1.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-017fbc40e8
Comment 3 Fedora Update System 2017-08-26 16:19:28 EDT
supervisor-3.1.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.